Inhalte
Index 🔎︎

# Funktion CSng

Konvertiert einen beliebigen Zeichenfolgen- oder numerischen Ausdruck in einen Ausdruck vom Typ "single".

### Syntax:

    CSng (Ausdruck As Variant) As Single

### Rückgabewert:

Single

### Parameter:

Ausdruck: Eine beliebiger Zeichenfolgen- oder numerischer Ausdruck, den Sie umwandeln möchten. Um einen Zeichenfolgenausdruck umzuwandeln, muss die Zahl mit einem Punkt "." als Dezimaltrennzeichen und ein Komma "," als Tausendertrennzeichen (beispielsweise 123,456.78) eingegeben werden, was von Ihren LibreOffice-Spracheinstellungen abweichen kann.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

Numerische Ausdrücke werden entsprechend den LibreOffice-Spracheinstellungen dargestellt:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678) ' 1234,5678
        MsgBox CInt(1234.5678) ' 1235
        MsgBox CLng(1234+5678) ' 6912
        MsgBox CSng(1234.5678) ' 1234,567749023

        MsgBox CDbl(Ausdruck := 5678.1234) ' 5678,1234
        MsgBox CInt(expression := 5678.1234) ' 5678
        MsgBox CLng(expression := 5678+1234) ' 6912
        MsgBox CSng(Ausdruck := 5678.1234) ' 5678,123535156
    End Sub